Skip to main content

Get candlestick data

GET 

/{market}/candles

Returns the OHLCV market data used to create candlestick charts.

Candlestick data is always returned in chronological order from the latest to the earliest. Data is returned when trades are made in the interval represented by that candlestick. If no trades occur you see a gap in data flow - zero trades are represented by zero candlesticks.

info

This is a public endpoint. However, authenticating your request gives you a higher rate limit.

Rate limit weight points: 1

Request

Path Parameters

    market stringrequired

    The market for which to return the candlestick data.

    For the list of all markets on Bitvavo, make a Get markets request.

    Example: BTC-EUR

Query Parameters

    interval stringrequired

    Possible values: [1m, 5m, 15m, 30m, 1h, 2h, 4h, 6h, 8h, 12h, 1d, 1W, 1M]

    The time interval between each candlestick. Determines the allowed values for start and end parameters.

    limit integer

    Possible values: >= 1 and <= 1440

    The maximum number of candlestick data to return.

    Default value: 1440
    start unix-timestamp in milliseconds

    Possible values: >= 0

    The Unix timestamp starting from which to return the candlestick data.

    The timestamp must align exactly with the start of the specified interval. For example, for a 1-hour candlestick that starts at 13:00:00.000 Amsterdam time, use 1704067200000.

    Example: 1704067200000
    end unix-timestamp in milliseconds

    Possible values: <= 8640000000000000

    The Unix timestamp until which to return the candlestick data.

    The timestamp must align exactly with the end of the specified interval. For example, for a 1-hour candlestick that ends at 14:00:00.000 Amsterdam time, use 1766062800000.

    Example: 1704153600000

Responses

The request was successful.

Schema
  • Array [
  • timestampinteger<unix-timestamp in milliseconds>

    The start time for this candlestick data.

    Example: 1538784000000
    openstring

    The starting price for the market at timestamp.

    Example: 4999
    highstring

    The highest price for the market during the interval.

    Example: 5012
    lowstring

    The lowest price for the market during the interval.

    Example: 4999
    closestring

    The closing price for the market after the interval.

    Example: 5012
    volumestring

    The amount traded in the market during the interval.

    Example: 0.45
  • ]